Bug 254203 - Can't subscribe to another user's Exchange folder
Can't subscribe to another user's Exchange folder
Product: Fedora
Classification: Fedora
Component: evolution-connector (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-24 14:28 EDT by Matthew Saltzman
Modified: 2009-06-28 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version: evolution-exchange-2.26.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-28 22:14:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2007-08-24 14:28:56 EDT
Description of problem:
Attempt to "subscribe to other user's folder" results in "generic error" pop-up. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. In Evolution, with Exchange account, File -> Subscribe to Other User's Folder
2. Select user.  Address is filled in from contact list or global address list.
3. Select folder (say, calendar).  Press OK.
Actual results:
Pop-up containing text "Generic Error" and an OK button.  Pressing OK dismisses
the window.  No other indication of what the error is.

Expected results:
Confirmation that I have subscribed to the user's folder or that I don't have
permission to do so.

Additional info:
Running from the command line produces no output related to the action of
subscribing, except that when typing the userid, I get 

    (evolution:4922): libebook-WARNING **: invalid escape, passing it through

There's at least one upstream bug related to this issue:

Comment 1 Milan Crha 2008-02-12 05:49:14 EST
You've right, there are also couple of other similar bugs there:
and partially also
I will move this to rawhide now, and will see what we can do with it later.
Comment 2 Bug Zapper 2009-06-09 18:47:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Matthew Barnes 2009-06-28 22:14:05 EDT
Closing as CURRENTRELEASE since this was fixed under

Note You need to log in before you can comment on or make changes to this bug.